<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <link rel="stylesheet" href="Styling.css">
    <title>My Bakery</title>
</head>
<body>
    <span id = "empButtons">
      
      <button id="submit" class="buttons">Submit Reimbursement Request</button>
      <button id="viewP" class="buttons">View Pending Requests</button>
      <button id="viewR" class="buttons">View Resolved Requests</button>
      <button id="logout" class="buttons">Logout</button>
    </span>
    <span id ="modals">
    <div 
    class="modal-fade"
    id="submitModal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="loginModalTitle"
    aria-hidden="true"
    style = "display: none;"
  >
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="loginModalLongTitle">Submit Reimbursement</h5>
        </div>
        <div class="modal-body">
          <input
            class="form-control"
            id="amount-input"
            type="text"
            placeholder="Amount"
          /><br />
          <input
            class="form-control"
            id="reason-input"
            type="text"
            placeholder="Reason for Reimbursement"
          />
        </div>
        <div class="modal-footer">
          <span hidden id="error-msg"
            >Something went wrong! Please try again with valid values</span
          >
          <span hidden id="success-msg">Request Submitted</span>
          <button type="button" class="buttons" id="close-btn">
            Close
          </button>
          <button type="button" class="buttons" id="submit-btn">
            Submit
          </button>
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal-fade"
    id="view-pending-modal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="loginModalTitle"
    aria-hidden="true"
    style = "display: none;"
  >
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="loginModalLongTitle">Pending Requests</h5>
        </div>
        <div class="modal-body">
          <div class = "pendingView">
            <table id = "pendingTable">
              
                  <th>RecordId</th>
                  <th>Amount</th>
                  <th>Reason</th>
              </tr>
      
            </table>
            <div hidden id = "pending-error">No requests</div>
            <button id = "pendingClose" class ="buttons">Close</button>

          </div>
          
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal-fade"
    id="view-resolved-modal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="loginModalTitle"
    aria-hidden="true"
    style = "display: none;"
  >
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="loginModalLongTitle">Employee Requests</h5>
        </div>
        <div class="modal-body">
          <div class = "resolvedView">
            <table id = "resolvedTable">
            <tr> 
            </tr>
    
            </table>
            <div hidden id = "resolved-error">No requests</div>
            <button id = "resolvedClose" class ="buttons">Close</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- <div class = "pendingView">
      <table id = "pendingTable">
        <th>Pending Requests</th>
        <tr> 
            <th>RecordId</th>
            <th>Amount</th>
            <th>Reason</th>
        </tr>

      </table>
  </div> -->
    <!-- <div class = "resolvedView">
        <table id = "resolvedTable">
        <th>Resolved Requests</th>
        <tr> 
            <th>RecordId</th>
            <th>Amount</th>
            <th>Reason</th>
        </tr>

        </table>
      </div> -->
      <!-- <div
    class="modal fade"
    id="view-pending-modal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="loginModalTitle"
    aria-hidden="true"
    style = "display: none;"
  >
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="loginModalLongTitle">Pending Requests</h5>
        </div>
        <div class="modal-body">
          <div class = "pendingView">
            <table id = "pendingTable">
              
                  <th>RecordId</th>
                  <th>Amount</th>
                  <th>Reason</th>
              </tr>
      
            </table>
            <button id = "pendingClose" class ="buttons">Close</button>

        </div>
        </div>
      </div>
    </div>
  </div> -->
    </span>
    <script src = "User_data.js"></script>
    <script src = "EmployeePage.js"></script>
</body>
</html>